<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Soprano.Error</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>Soprano.Error Namespace Reference</h1>
<code>from PyKDE4.soprano.Soprano.Error import *</code>
<p>
<h2>Detailed Description</h2>

<h2>Class Index</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_E">&nbsp;&nbsp;E&nbsp;&nbsp;</a></td><td><a name="letter_L">&nbsp;&nbsp;L&nbsp;&nbsp;</a></td><td><a class="el" href="Soprano.Error.ParserError.html">ParserError</a>&nbsp;(<a class="el" href="Soprano.Error.html">Soprano.Error</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Soprano.Error.Error.html">Error</a>&nbsp;(<a class="el" href="Soprano.Error.html">Soprano.Error</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Soprano.Error.Locator.html">Locator</a>&nbsp;(<a class="el" href="Soprano.Error.html">Soprano.Error</a>)&nbsp;&nbsp;&nbsp;</td><td></td></tr>
<tr><td><a class="el" href="Soprano.Error.ErrorCache.html">ErrorCache</a>&nbsp;(<a class="el" href="Soprano.Error.html">Soprano.Error</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_P">&nbsp;&nbsp;P&nbsp;&nbsp;</a></td><td></td></tr>
</table>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj171949996">ErrorCode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;ErrorNone, ErrorInvalidArgument, ErrorInvalidStatement, ErrorNotSupported, ErrorParsingFailed, ErrorPermissionDenied, ErrorUnknown&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Soprano.Error.ErrorCode&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193690092">convertErrorCode</a> (int code)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193691596">errorMessage</a> (Soprano.Error.ErrorCode a0)</td></tr>
</table>
<hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj171949996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ErrorCode</td>
</tr>
</table>
</div>
<div class="memdoc"><p>%Soprano defines a number of error codes that are
used to provide a quick success status check in methods
such as Model.addStatement().
</p>
<p>
\sa Error.Error.code()
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>ErrorNone</em>&nbsp;=&nbsp;0x0<p>No error occured, i.e. success.
< p></td><td><tr><td valign="top"><em>ErrorInvalidArgument</em>&nbsp;=&nbsp;0x1<p>Error indicating that a method argument was invalid. For example an invalid Statement in Model.addStatement().
< p></td><td><tr><td valign="top"><em>ErrorInvalidStatement</em>&nbsp;=&nbsp;ErrorInvalidArgument<p>\deprecated: use ErrorInvalidArgument
< p></td><td><tr><td valign="top"><em>ErrorNotSupported</em>&nbsp;=&nbsp;0x2<p>Error indicating that a certain functionality is not supported.
< p></td><td><tr><td valign="top"><em>ErrorParsingFailed</em>&nbsp;=&nbsp;0x3<p>Parsing a query or an RDF serialization failed.
< p></td><td><tr><td valign="top"><em>ErrorPermissionDenied</em>&nbsp;=&nbsp;0x4<p>Permission is denied. <dl class="since" compact><dt><b>Since:< b>< dt><dd> 2.1
< dd>< dl>
< p></td><td><tr><td valign="top"><em>ErrorUnknown</em>&nbsp;=&nbsp;0x1000<p>An unknown error occured.
< p></td><td></table>
</dl>
</div></div><p><hr><h2>Function Documentation</h2><a class="anchor" name="obj193690092"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Soprano.Error.ErrorCode convertErrorCode</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>code</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Converts a plain error code (as for example used in Error.code())
into an ErrorCode value.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> <b>code</b> converted to ErrorCode. If it is an unknown value,
ErrorUnknown will be returned.
</dd></dl>
</p></div></div><a class="anchor" name="obj193691596"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> errorMessage</td>
<td>(</td>
<td class="paramtype">Soprano.Error.ErrorCode&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Translate an error code into a human-readable error message.
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
